# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hamlet

Name:           ghc-%{pkg_name}
Version:        1.1.7.1
Release:        2%{?dist}
Summary:        Haml-like template files that are compile-time checked

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-failure-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
Hamlet gives you a type-safe tool for generating HTML code.
It works via Quasi-Quoting, and generating extremely
efficient output code. The syntax is white-space sensitive,
and it helps you avoid cross-site scripting issues and 404
errors. Please see the documentation at
<http://www.yesodweb.com/book/shakespearean-templates> for more details.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 1.1.7.1-1
- update to 1.1.7.1

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 1.1.6.3-2
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.1.6.3-1
- update to 1.1.6.3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 07 2012 Jens Petersen <petersen@redhat.com> - 1.1.1-1
- update to 1.1.1
- update license to MIT
- update url in description
- requires blaze-markup

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Ben Boeckel <mathstuf@gmail.com> - 1.0.1.4-1
- Update to 1.0.1.4

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 1.0.1.3-1
- update to 1.0.1.3

* Thu Apr 26 2012 Jens Petersen <petersen@redhat.com> - 1.0.1.1-1
- update to 1.0.1.1

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.10.9.1-1
- update to 0.10.9.1

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 0.10.8-3
- rebuild

* Wed Feb 29 2012 Ben Boeckel <mathstuf@gmail.com> - 0.10.8-2
- Rebuild for ghc-blaze-builder

* Tue Feb 28 2012 Ben Boeckel <mathstuf@gmail.com> - 0.10.8-1
- Update to 0.10.8

* Tue Feb  7 2012 Jens Petersen <petersen@redhat.com> - 0.10.7.1-1
- update to 0.10.7.1

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.10.6-1
- update to 0.10.6 and cabal2spec-0.25.2

* Tue Nov  1 2011 Jens Petersen <petersen@redhat.com> - 0.10.4-1
- update to 0.10.4

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.3-1.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.3-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.10.3-1.1
- rebuild with new gmp

* Sat Oct  8 2011 Jens Petersen <petersen@redhat.com> - 0.10.3-1
- update to 0.10.3
- BR prof not devel deps

* Tue Oct  4 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-4
- rebuild against latest blaze-html

* Fri Sep 30 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-3
- rebuild against latest blaze-html

* Thu Aug  4 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-2
- rebuild for blaze-html update

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.9.0-1
- Update to 0.9.0
- Update to cabal2spec-0.24

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-2
- ghc_arches replaces ghc_excluded_archs (cabal2spec-0.23.2)

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-1
- update to 0.8.2.1
- use ghc_exclude_archs
- cabal2spec-0.23

* Wed Apr 20 2011 Jens Petersen <petersen@redhat.com> - 0.6.1.2-4
- allow to build with blaze-builder-0.3

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.6.1.2-3
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.1.2-1
- Update to 0.6.1.2

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.3-1
- Update to 0.6.0.3

* Tue Nov 23 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.2-1
- Update to 0.6.0.2

* Fri Nov 12 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.1-1
- Update to 0.6.0.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Tue Sep 21 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.2-1
- Update to 0.5.0.2

* Tue Sep 14 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.1-1
- Update to 0.5.0.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
